Commit 464c5784 authored by Rémi Denis-Courmont's avatar Rémi Denis-Courmont

Require xul >= 1.9.2 explicitly

parent 9eb58175
...@@ -4558,15 +4558,18 @@ then ...@@ -4558,15 +4558,18 @@ then
if test -n "$i" if test -n "$i"
then then
echo "Trying to find $i package" >&AS_MESSAGE_LOG_FD echo "Trying to find $i package" >&AS_MESSAGE_LOG_FD
if $PKG_CONFIG --exists --print-errors "$i" 2>&AS_MESSAGE_LOG_FD AC_MSG_CHECKING([for $i >= 1.9.2])
if $PKG_CONFIG --exists --print-errors "$i >= 1.9.2" 2>&AS_MESSAGE_LOG_FD
then then
echo "Using $i pkg-config package." >&AS_MESSAGE_LOG_FD echo "Using $i pkg-config package." >&AS_MESSAGE_LOG_FD
echo "Using $i package." >&AS_MESSAGE_FD echo "Using $i package." >&AS_MESSAGE_FD
found=1 found=1
MOZILLA_CFLAGS=$(eval $PKG_CONFIG --cflags "$i" ) MOZILLA_CFLAGS=$(eval $PKG_CONFIG --cflags "$i" )
MOZILLA_LIBS=$(eval $PKG_CONFIG --libs "$i" ) MOZILLA_LIBS=$(eval $PKG_CONFIG --libs "$i" )
AC_MSG_RESULT([yes])
break break
fi fi
AC_MSG_RESULT([no])
fi fi
done done
fi fi
...@@ -4581,7 +4584,7 @@ then ...@@ -4581,7 +4584,7 @@ then
#endif #endif
]) ])
if test "${MOZILLA_REQUIRED_HEADERS}" = "0"; then if test "${MOZILLA_REQUIRED_HEADERS}" = "0"; then
AC_MSG_ERROR([Please install the Firefox development tools; mozilla-config.h, plugin/npapi.h and plugin/npruntime.h were not found.]) AC_MSG_ERROR([Please install the Firefox development tools; plugin/npapi.h and/or plugin/npruntime.h were not found.])
fi fi
MOZILLA_REQUIRED_HEADERS= MOZILLA_REQUIRED_HEADERS=
mozilla=: mozilla=:
...@@ -4606,7 +4609,7 @@ then ...@@ -4606,7 +4609,7 @@ then
AC_PATH_PROGS(MOZILLA_CONFIG, AC_PATH_PROGS(MOZILLA_CONFIG,
[mozilla-config seamonkey-config xulrunner-config], [mozilla-config seamonkey-config xulrunner-config],
[no]) [no])
test "${MOZILLA_CONFIG}" = "no" && AC_MSG_ERROR([Please install the Mozilla development tools. mozilla-config was not found.]) test "${MOZILLA_CONFIG}" = "no" && AC_MSG_ERROR([Please install the Mozilla development tools (version 1.9.2 or higher) or use --disable-mozilla.])
] ]
) )
dnl pkg-config failed but we might have found a mozilla-config dnl pkg-config failed but we might have found a mozilla-config
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment